commit:     f5666efd335bae2b89b496db783ee309bf895b03
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 20 07:15:32 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec 20 10:15:25 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f5666efd

dev-python/testtools: Bump to 2.8.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/testtools/Manifest               |  1 +
 dev-python/testtools/testtools-2.8.2.ebuild | 43 +++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/testtools/Manifest b/dev-python/testtools/Manifest
index 125906efe86c..3e829ec4b9cd 100644
--- a/dev-python/testtools/Manifest
+++ b/dev-python/testtools/Manifest
@@ -1,2 +1,3 @@
 DIST testtools-2.7.2.tar.gz 201430 BLAKE2B 
d827d8e66c85908f4d16aa0762c3b0a454d374a0d23323fc3c123027f55f0e85f4fea9a24b5d1d0279266af2185f08abbcbbdcb785014b237df45a6448587611
 SHA512 
5815519d2b72d6b1e9f453c02793c70eb7d3b6580a211fb3708cd6121aed3c6100ceb1e35321f481a63b1f999ede030e43f1ae91d3621faf461c1908db767551
 DIST testtools-2.8.0.tar.gz 201854 BLAKE2B 
1ab2643e5ec7c9b56c01227a6fd8d8626cb8b8440c3353cf1a04af91476b139b0cf50895bcca177e6798b167414833fd59a5cede4e89698ea1f6c563ecce7b22
 SHA512 
409f67de2e307eca3fe266822bd6fa0b98dcccc8dcfc26a9e696f345a8f3339b6b4463a738f28fe9505e11585722d8d1d7a3aa2319727679adb172e4d105938e
+DIST testtools-2.8.2.tar.gz 206889 BLAKE2B 
4c25e88d5602c00ab9079d5ef504648cf7f59ae63d8844d5bdbac2b215db64234925ee9ce89532ca71d681031fa4d656e1c60413f731aa135791b43edbbd6015
 SHA512 
2880b5e8c92e59e3d9cad7b6b64781763a549abf74672a46f0b3a33300793d91ea8453fc364d497ae7492095385309e6b150a712fea4529324cf4673b6e60aa7

diff --git a/dev-python/testtools/testtools-2.8.2.ebuild 
b/dev-python/testtools/testtools-2.8.2.ebuild
new file mode 100644
index 000000000000..265d9e1fa4a5
--- /dev/null
+++ b/dev-python/testtools/testtools-2.8.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extensions to the Python standard library unit testing framework"
+HOMEPAGE="
+       https://github.com/testing-cabal/testtools/
+       https://pypi.org/project/testtools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       dev-python/hatch-vcs[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/fixtures-2.0.0[${PYTHON_USEDEP}]
+               dev-python/testscenarios[${PYTHON_USEDEP}]
+               dev-python/testresources[${PYTHON_USEDEP}]
+               dev-python/twisted[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx doc
+
+python_test() {
+       if ! has_version "dev-python/twisted[${PYTHON_USEDEP}]"; then
+               sed -i -e '/twistedsupport/d' tests/test_suite.py || die
+       fi
+
+       "${EPYTHON}" -m testtools.run tests.test_suite ||
+               die "tests failed under ${EPYTHON}"
+}

Reply via email to